## CryptUIKeyStore

CryptUIKeyStore

## Synopsis

                        CryptUIKeyStorePriv;
                        CryptUIKeyStore;
    enum                CryptUIKeyStoreMode;
    gboolean            (*CryptUIKeyStoreFilterFunc)        (CryptUIKeyset *ckset,
                                                             const gchar *key,
                                                             gpointer user_data);
    CryptUIKeyStore*    cryptui_key_store_new               (CryptUIKeyset *keyset,
                                                             gboolean use_checks,
                                                             const gchar *none_option);
    CryptUIKeyset*      cryptui_key_store_get_keyset        (CryptUIKeyStore *ckstore);
    void                cryptui_key_store_set_sortable      (CryptUIKeyStore *ckstore,
                                                             gboolean sortable);
    gboolean            cryptui_key_store_get_sortable      (CryptUIKeyStore *ckstore);
    void                cryptui_key_store_check_toggled     (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view,
                                                             GtkTreeIter *iter);
    gboolean            cryptui_key_store_get_iter_from_key (CryptUIKeyStore *ckstore,
                                                             const gchar *key,
                                                             GtkTreeIter *iter);
    const gchar*        cryptui_key_store_get_key_from_iter (CryptUIKeyStore *ckstore,
                                                             GtkTreeIter *iter);
    const gchar*        cryptui_key_store_get_key_from_path (CryptUIKeyStore *ckstore,
                                                             GtkTreePath *path);
    GList*              cryptui_key_store_get_all_keys      (CryptUIKeyStore *ckstore);
    guint               cryptui_key_store_get_count         (CryptUIKeyStore *ckstore);
    gboolean            cryptui_key_store_have_selected_keys
                                                            (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view);
    GList*              cryptui_key_store_get_selected_keys (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view);
    void                cryptui_key_store_set_selected_keys (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view,
                                                             GList *keys);
    const gchar*        cryptui_key_store_get_selected_key  (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view);
    void                cryptui_key_store_set_selected_key  (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view,
                                                             const gchar *key);
    void                cryptui_key_store_set_search_mode   (CryptUIKeyStore *ckstore,
                                                             CryptUIKeyStoreMode mode);
    void                cryptui_key_store_set_search_text   (CryptUIKeyStore *ckstore,
                                                             const gchar *search_text);
    void                cryptui_key_store_set_filter        (CryptUIKeyStore *ckstore,
                                                             CryptUIKeyStoreFilterFunc func,
                                                             gpointer user_data);

## Description

## Details

### CryptUIKeyStorePriv

    typedef struct _CryptUIKeyStorePriv CryptUIKeyStorePriv;

### CryptUIKeyStore

    typedef struct {
        GtkTreeModelSort       parent;

        CryptUIKeyset          *ckset;
    } CryptUIKeyStore;

### enum CryptUIKeyStoreMode

    typedef enum _CryptUIKeyStoreMode {
        CRYPTUI_KEY_STORE_MODE_ALL,
        CRYPTUI_KEY_STORE_MODE_SELECTED,
        CRYPTUI_KEY_STORE_MODE_RESULTS
    } CryptUIKeyStoreMode;

### CryptUIKeyStoreFilterFunc ()

    gboolean            (*CryptUIKeyStoreFilterFunc)        (CryptUIKeyset *ckset,
                                                             const gchar *key,
                                                             gpointer user_data);

`ckset` : |
`key` : |
`user_data` : |
Returns : |

### cryptui_key_store_new ()

    CryptUIKeyStore*    cryptui_key_store_new               (CryptUIKeyset *keyset,
                                                             gboolean use_checks,
                                                             const gchar *none_option);

`keyset` : |
`use_checks` : |
`none_option` : |
Returns : |

### cryptui_key_store_get_keyset ()

    CryptUIKeyset*      cryptui_key_store_get_keyset        (CryptUIKeyStore *ckstore);

`ckstore` : |
Returns : |

### cryptui_key_store_set_sortable ()

    void                cryptui_key_store_set_sortable      (CryptUIKeyStore *ckstore,
                                                             gboolean sortable);

`ckstore` : |
`sortable` : |

### cryptui_key_store_get_sortable ()

    gboolean            cryptui_key_store_get_sortable      (CryptUIKeyStore *ckstore);

`ckstore` : |
Returns : |

### cryptui_key_store_check_toggled ()

    void                cryptui_key_store_check_toggled     (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view,
                                                             GtkTreeIter *iter);

`ckstore` : |
`view` : |
`iter` : |

### cryptui_key_store_get_iter_from_key ()

    gboolean            cryptui_key_store_get_iter_from_key (CryptUIKeyStore *ckstore,
                                                             const gchar *key,
                                                             GtkTreeIter *iter);

`ckstore` : |
`key` : |
`iter` : |
Returns : |

### cryptui_key_store_get_key_from_iter ()

    const gchar*        cryptui_key_store_get_key_from_iter (CryptUIKeyStore *ckstore,
                                                             GtkTreeIter *iter);

`ckstore` : |
`iter` : |
Returns : |

### cryptui_key_store_get_key_from_path ()

    const gchar*        cryptui_key_store_get_key_from_path (CryptUIKeyStore *ckstore,
                                                             GtkTreePath *path);

`ckstore` : |
`path` : |
Returns : |

### cryptui_key_store_get_all_keys ()

    GList*              cryptui_key_store_get_all_keys      (CryptUIKeyStore *ckstore);

`ckstore` : |
Returns : |

### cryptui_key_store_get_count ()

    guint               cryptui_key_store_get_count         (CryptUIKeyStore *ckstore);

`ckstore` : |
Returns : |

### cryptui_key_store_have_selected_keys ()

    gboolean            cryptui_key_store_have_selected_keys
                                                            (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view);

`ckstore` : |
`view` : |
Returns : |

### cryptui_key_store_get_selected_keys ()

    GList*              cryptui_key_store_get_selected_keys (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view);

`ckstore` : |
`view` : |
Returns : |

### cryptui_key_store_set_selected_keys ()

    void                cryptui_key_store_set_selected_keys (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view,
                                                             GList *keys);

`ckstore` : |
`view` : |
`keys` : |

### cryptui_key_store_get_selected_key ()

    const gchar*        cryptui_key_store_get_selected_key  (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view);

`ckstore` : |
`view` : |
Returns : |

### cryptui_key_store_set_selected_key ()

    void                cryptui_key_store_set_selected_key  (CryptUIKeyStore *ckstore,
                                                             GtkTreeView *view,
                                                             const gchar *key);

`ckstore` : |
`view` : |
`key` : |

### cryptui_key_store_set_search_mode ()

    void                cryptui_key_store_set_search_mode   (CryptUIKeyStore *ckstore,
                                                             CryptUIKeyStoreMode mode);

`ckstore` : |
`mode` : |

### cryptui_key_store_set_search_text ()

    void                cryptui_key_store_set_search_text   (CryptUIKeyStore *ckstore,
                                                             const gchar *search_text);

`ckstore` : |
`search_text` : |

### cryptui_key_store_set_filter ()

    void                cryptui_key_store_set_filter        (CryptUIKeyStore *ckstore,
                                                             CryptUIKeyStoreFilterFunc func,
                                                             gpointer user_data);

`ckstore` : |
`func` : |
`user_data` : |